/*-
 * ~~~~~~licensing~~~~~~
 * generator-api
 * ==========
 * Copyright (C) 2020 - 2025 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.base.connecting.generator.impl;

import java.util.HashMap;
import java.util.Map;

import ru.entaxy.esb.platform.runtime.base.connecting.generator.Generated;

public class GeneratedImpl implements Generated {

	protected String type;
	protected Object object;
	
	protected Map<String, Object> properties = new HashMap<>();
	
	public GeneratedImpl() {
		this(Generated.GENERATED_TYPE_UNKNOWN, null);
	}

	public GeneratedImpl(Object object) {
		this(Generated.GENERATED_TYPE_UNKNOWN, object);
	}
	
	public GeneratedImpl(String type, Object object) {
		this.type = null==type?Generated.GENERATED_TYPE_UNKNOWN:type;
		this.object = object;
	}
	
	@Override
	public String getType() {
		return this.type;
	}
	
	@Override
	public Object getObject() {
		return this.object;
	};
	
	@Override
	public Map<String, Object> getProperties() {
		return this.properties;
	}
}
